package com.pcloud.book.guide.mapper;

import com.pcloud.book.guide.entity.PcloudRobotWakeup;
import com.pcloud.book.guide.vo.RobotWakeUpShowVO;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudRobotWakeupMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PcloudRobotWakeup record);

    int insertSelective(PcloudRobotWakeup record);

    PcloudRobotWakeup selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudRobotWakeup record);

    int updateByPrimaryKey(PcloudRobotWakeup record);

    void deleteAll();

    PcloudRobotWakeup selectOne();

    List<String> listAllRobot();

    List<PcloudRobotClassifyResponseVO> listAllClassify();

    Integer getRobotWakeUpConfigListCount();

    List<RobotWakeUpShowVO> getRobotWakeUpConfigList(@Param("currentPage") Integer currentPage,@Param("numPerPage") Integer numPerPage);

    RobotWakeUpShowVO getRobotWakeUpConfigById(Integer wakeUpId);
}